/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include <stdio.h>

#include "util.h"
#include "core.h"
#include "display-ops.h"
#include "core/list.h"
#include "core/common.h"

void lcd_direct_control(enum dpms_state state, int flags)
{
	const struct device_ops *ops = NULL;
	dd_list *l = NULL;

	switch (state) {
	case DPMS_ON:
		DD_LIST_FOREACH(lcdon_ops, l, ops)
			ops->start(flags);
		break;
	case DPMS_OFF:
		DD_LIST_FOREACH(lcdon_ops, l, ops)
			ops->stop(flags);
		break;
	default:
		_E("state is wrong value %d", state);
		break;
	}
}

